Bug Hunting Session
Bug 84548 - Make creation of mail labels more flexible: add "Merging overview" and "Merge and save" to Synchronize toolbar (maybe make that Mail merge toolbar..)
Summary: Make creation of mail labels more flexible: add "Merging overview" and "Merge...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2014-10-01 10:38 UTC by yvan
Modified: 2016-10-05 09:38 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description yvan 2014-10-01 10:38:53 UTC
Hi,

First, thanks a lot for this good and usefull software !

Two years ago we completely switched from Microsoft Office 2003 to LibreOffice in the school I work for : that was not easy for users, but tey mostly understood the benefits of free (libre) software. Now it is adopted by everybody, except our secretary who needs more specific tasks, such as printing mail labels.

I had a talk with him to understand what problems he is facing and I saw on the Internet that he is not alone... Problems I list here are from the most important to the less annoying. I hope it is understandable :

1. When you finish your label document (choosing format, choosing database and fields, synchronizing contents, using mailing assistant to merge addresses, save the resulting file), you obtain a sheet where you can only modify the first label, but not the others. This is the biggest problem, because in real life there is almost always one label you need to modify manually.

2. After choosing format, database and fields, you cannot have an overview of the merge result, the only choice is to print or to save : you can not correct you mistake directly. Maybe add a "Merging overview" button to the "Synchronize labels" ?

2bis. After choosing format, database and fields, you have to launch the Mailing Assistant and skip most of the steps to save the merged file. This step is very confusing. Why not just had a "Merge and save" button in the "Synchronize labels" toolbox ?

3. When you create a new mail label sheets, you can not add a new database. You have to create a writer document, add the database, and then only go in File -> New -> Labels. It is not really intuitive.


I know these problems are far from being the only ones, but I think making mail labels creation easier would be really usefull for many companies.

Thanks again everybody for the time and work.
Comment 1 Cor Nouws 2014-10-16 19:17:09 UTC
Hi Yvan,

thanks for your report - I'll try to give a brief reply!

(In reply to yvan.masson from comment #0)

> First, thanks a lot for this good and usefull software !

 :)

> 1. When you finish your label document (choosing format, choosing database
> and fields, synchronizing contents, using mailing assistant to merge
> addresses, save the resulting file), you obtain a sheet where you can only
> modify the first label, but not the others. This is the biggest problem,
> because in real life there is almost always one label you need to modify
> manually.

When creating, at the latest tab check Synchronise.
That gives a toolbar to "update links" so that after changing the first, the others get changed too.

> 2. After choosing format, database and fields, you cannot have an overview
> of the merge result, the only choice is to print or to save : you can not
> correct you mistake directly. Maybe add a "Merging overview" button to the
> "Synchronize labels" ?

I've no real opinion on this.
Isn't it that this is offered by the steps in the Wizard?

> 2bis. After choosing format, database and fields, you have to launch the
> Mailing Assistant and skip most of the steps to save the merged file. This
> step is very confusing. Why not just had a "Merge and save" button in the
> "Synchronize labels" toolbox ?

Yep I recognise that. I always jump to step 8.

> 3. When you create a new mail label sheets, you can not add a new database.
> You have to create a writer document, add the database, and then only go in
> File -> New -> Labels. It is not really intuitive.

The menu Edit > Change datasource should do that?

I think you will have given proper instructions to the users :)
Pls do ask for user-support if anything is not clear. For example there is a group of users with a great variety of skills that can offer help with questions:
  http://www.libreoffice.org/get-help/community-support/

I think your 2bis is really worth an issue for an enhancement.
Could you be so kind to rewrite this issues summary or create a new one?

Cheers,
Cor
Comment 2 yvan 2014-10-17 10:47:17 UTC
Thanks for your answer ! I think I have to clarify:

>> 1. When you finish your label document (choosing format, choosing database
>> and fields, synchronizing contents, using mailing assistant to merge
>> addresses, save the resulting file), you obtain a sheet where you can only
>> modify the first label, but not the others. This is the biggest problem,
>> because in real life there is almost always one label you need to modify
>> manually.

> When creating, at the latest tab check Synchronise.
> That gives a toolbar to "update links" so that after changing the first,
> the others get changed too.

The problem is not synchronization. The problem is if you need to manually edit SPECIFIC labels and not all the sheet: you can't do it before merging, and you can't even do it after merging.

>> 2. After choosing format, database and fields, you cannot have an overview
>> of the merge result, the only choice is to print or to save : you can not
>> correct you mistake directly. Maybe add a "Merging overview" button to the
>> "Synchronize labels" ?

> I've no real opinion on this.
> Isn't it that this is offered by the steps in the Wizard?

Yes, indeed, you can view the merge in step 6 of the assistant. But if you agree on 2bis, you won't use the assistant anymore, so you also need a way to have an overview.

>> 3. When you create a new mail label sheets, you can not add a new database.
>> You have to create a writer document, add the database, and then only go in
>> File -> New -> Labels. It is not really intuitive.

> The menu Edit > Change datasource should do that?

3. Yes, you can do that, but I think it would be better to also include an "Add data source" button directly in the mail labels' first window. I suppose it would not be difficult to add, but it would be far more intuitive.

As you suggested, I will ask on http://www.libreoffice.org/get-help/community-support/ if I have time.
I can also create a new specific bug report if you think is the good way to do, but I would prefer before to agree with you and others on what should be improved and what should stay like that : this will permit to do better "specific" bug reports.

Thanks for reading,
Yvan
Comment 3 Cor Nouws 2014-10-17 11:30:11 UTC
(In reply to yvan.masson from comment #2)
> Thanks for your answer ! I think I have to clarify:

OK, clear.
So it's about the desire to have a combination of bests of two work flows ;)

> As you suggested, I will ask on
> http://www.libreoffice.org/get-help/community-support/ if I have time.
> I can also create a new specific bug report if you think is the good way to
> do, but I would prefer before to agree with you and others on what should be
> improved and what should stay like that : this will permit to do better
> "specific" bug reports.

Chicken and egg problem ;)

I know there is some (...) work ongoing to improve some (...) things on mail merge.
Since you have ideas, maybe you're willing to make contact and see what the status is and help with finding out best possible solutions? (Still I don't know the status there..)
Cheers,
Cor
Comment 4 yvan 2014-10-22 08:40:59 UTC
I assume you are right : it can be better to join the current talk / work on mail merge.

Could you guide me a bit ? I really don't how I can make contact with people working on this...
Comment 5 Cor Nouws 2014-11-05 08:54:41 UTC
Hi Yvan,

(In reply to yvan.masson from comment #4)

> Could you guide me a bit ? I really don't how I can make contact with people
> working on this...

Sorry that this got lost in the pile..
See bug 56355. Jan-Marek Glogowski (comment 18 for example) works on this.
You can of course also do a query for mail merge 
  https://bugs.freedesktop.org/buglist.cgi?bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&component=Writer&list_id=489537&product=LibreOffice&query_format=advanced&short_desc=mail%20merge&short_desc_type=allwordssubstr 
and see what is in there ;)

Thanks for your interest in this!
Cor
Comment 6 Alex Thurgood 2015-01-03 17:38:10 UTC Comment hidden (no-value)
Comment 7 QA Administrators 2015-07-18 17:35:23 UTC Comment hidden (obsolete)
Comment 8 QA Administrators 2015-09-04 03:00:42 UTC Comment hidden (obsolete)
Comment 9 yvan 2015-09-04 16:38:44 UTC
Hi,

Sorry to re-open this enhancement request, but it is still valid on LibreOffice 5 and I think it is a good thing to let it visible to all (why not, a super dev with a lot of time might come here and implements it all :-D).

I actually don't know what kind of information I could still provide. I asked his opinion to Jan-Marek Glogowski, who told me to contact Cor Nouws, who was already reading and replying to this bug report.

Obviously, this is my only my opinion, and maybe the bug tracker needs to be cleaned: feel free to close this bug again.

Thanks again for this great and very useful software,
Yvan
Comment 10 Cor Nouws 2015-09-04 18:41:18 UTC
(In reply to yvan.masson from comment #9)
> Hi,
> 
> Sorry to re-open this enhancement request, but it is still valid on
> LibreOffice 5 

Please be so kind to mention briefly and clear what your proposal/idea is :)
thanks, Cor
Comment 11 yvan 2015-09-05 09:44:03 UTC
Thanks for you answer.

Unfortunately, I don't know anything of the internal functioning of the "LibreOffice team", and I don't have knowledge and time to learn it. Also, I just know the basic use case of our school, so if tell you "I want the mail labels UI to be like this", I would certainly miss some other use cases.

So sorry, but my proposal here can only be "When possible, please rework the mail labels UI to suppress/avoid the problems described in my first comment, that I think are really blocking the LibreOffice adoption by companies".

Whenever you want to discuss about the usage we have, or want us to give an opinion about a future UI design, the secretary and I would be glad to help.

Regards,
Yvan
Comment 12 Cor Nouws 2015-09-12 20:27:07 UTC
Hi Yvan,

Let me try again :)

> First, thanks a lot for this good and usefull software !

thanks!

> 1. When you finish your label document (choosing format, choosing database
> and fields, synchronizing contents, using mailing assistant to merge
> addresses, save the resulting file), you obtain a sheet where you can only
> modify the first label, but not the others. This is the biggest problem,
> because in real life there is almost always one label you need to modify
> manually.

This behaviour is caused all label above #1 being linked the first label. (actually all are frames).
This allows the Synchronize button, to be activated on the third Tab of the File > New labels dialog.

Luckily, in LibreOffice 5.0.1 I do see an option: Tools > Options > Writer > Formatting aids... Ignore protection. (I think this is new.)


> 2. After choosing format, database and fields, you cannot have an overview
> of the merge result, the only choice is to print or to save : you can not
> correct you mistake directly. 

I can do that after step #7. (Since protection can be ignored - see above)
For normal letters (not labels) step #6 does that job.

> Maybe add a "Merging overview" button to the
> "Synchronize labels" ?

You mean on the specific tool bar?
That would introduce a third way of performing mail merge.. People may get confused?
(However the idea as such, is not bad.)

> 2bis. After choosing format, database and fields, you have to launch the
> Mailing Assistant and skip most of the steps to save the merged file. This
> step is very confusing.

Choosing Next, seeing that nothings needs to be done, choosing Next ...  etc.. that works too.
The next time, you know where to go ;)

> Why not just had a "Merge and save" button in the
> "Synchronize labels" toolbox ?

See my comment above.


> >> 3. When you create a new mail label sheets, you can not add a new database.
> >> You have to create a writer document, add the database, and then only go in
> >> File -> New -> Labels. It is not really intuitive.
> 
> > The menu Edit > Change datasource should do that?
> 
> 3. Yes, you can do that, but I think it would be better to also include an
> "Add data source" button directly in the mail labels' first window. I
> suppose it would not be difficult to add, but it would be far more intuitive.

I don't understand this.
File > New > Label allows me to choose a data source.
Tools > Mail merge (Use current document (already created labels) .. Step 3, insert Address book, allows it too.

Apart from the challenges you, me and many others experience to fiend their easiest way to perform mail merge tasks, which is reflected in your remarks and our discussion, I do see one specific IMO new request in your report:

Extend the 'Synchronize' toolbar with two buttons: "Merging overview", "Merge and save".
Is that fine for you? Then we could change the summary and settings of this bug accordingly...

Thanks for your attention again.
Cor
Comment 13 yvan 2015-09-14 10:53:15 UTC
Hi Cor,

Thanks again for the time you spend on this.

(In reply to Cor Nouws from comment #12)
> Hi Yvan,
> 
> Let me try again :)
> 
> > First, thanks a lot for this good and usefull software !
> 
> thanks!
> 
> > 1. When you finish your label document (choosing format, choosing database
> > and fields, synchronizing contents, using mailing assistant to merge
> > addresses, save the resulting file), you obtain a sheet where you can only
> > modify the first label, but not the others. This is the biggest problem,
> > because in real life there is almost always one label you need to modify
> > manually.
> 
> This behaviour is caused all label above #1 being linked the first label.
> (actually all are frames).
> This allows the Synchronize button, to be activated on the third Tab of the
> File > New labels dialog.
> 
> Luckily, in LibreOffice 5.0.1 I do see an option: Tools > Options > Writer >
> Formatting aids... Ignore protection. (I think this is new.)

Thanks for the tip ! This made our secretary screaming last year. I see at
least two possible solutions to improve this:
 - write this in the documentation in the section referring to labels.
 - Ignore protection by default when working on labels (I might be wrong but I
   do not see any reason to protect labels by default).
> 
> 
> > 2. After choosing format, database and fields, you cannot have an overview
> > of the merge result, the only choice is to print or to save : you can not
> > correct you mistake directly. 
> 
> I can do that after step #7. (Since protection can be ignored - see above)
> For normal letters (not labels) step #6 does that job.

You are right: this is not an obvious solution but it works and you can go back
an make correction if something is wrong.

> 
> > Maybe add a "Merging overview" button to the
> > "Synchronize labels" ?
> 
> You mean on the specific tool bar?
I mean on the small floating window where there is the "Synchronize labels" button.
> That would introduce a third way of performing mail merge.. People may get
> confused?
> (However the idea as such, is not bad.)

Indeed, but I think this one would be really intuitive, would allow to quickly
toggle between "database fields view" and "merged view", and so very usefull
especially for newcomers.

> 
> > 2bis. After choosing format, database and fields, you have to launch the
> > Mailing Assistant and skip most of the steps to save the merged file. This
> > step is very confusing.
> 
> Choosing Next, seeing that nothings needs to be done, choosing Next ... 
> etc.. that works too.
> The next time, you know where to go ;)
> 
> > Why not just had a "Merge and save" button in the
> > "Synchronize labels" toolbox ?
> 
> See my comment above.

I have the same argument here: a "Merge and save" button would not be so confusing
for experienced users, but would be really nice for beginners.

> 
> 
> > >> 3. When you create a new mail label sheets, you can not add a new database.
> > >> You have to create a writer document, add the database, and then only go in
> > >> File -> New -> Labels. It is not really intuitive.
> > 
> > > The menu Edit > Change datasource should do that?
> > 
> > 3. Yes, you can do that, but I think it would be better to also include an
> > "Add data source" button directly in the mail labels' first window. I
> > suppose it would not be difficult to add, but it would be far more intuitive.
> 
> I don't understand this.
> File > New > Label allows me to choose a data source.
File > New > Label opens a first window which allows to choose data source ONLY
from databases which were previously added.
> Tools > Mail merge (Use current document (already created labels) .. Step 3,
> insert Address book, allows it too.
Yes, but same problem as I said above: the need to add a database, BEFORE creating
a new label document where you need it, is in my opinion not intuitive at all.

> 
> Apart from the challenges you, me and many others experience to fiend their
> easiest way to perform mail merge tasks, which is reflected in your remarks
> and our discussion, I do see one specific IMO new request in your report:
> 
> Extend the 'Synchronize' toolbar with two buttons: "Merging overview",
> "Merge and save".
> Is that fine for you? Then we could change the summary and settings of this
> bug accordingly...

I agree. It would allow to simplify this enhancement request, and so
to express something usable for someone to implement it: It is better to improve
slowly than to do nothing.
 
> Thanks for your attention again.
> Cor

Regards,
Yvan
Comment 14 Cor Nouws 2015-09-14 11:29:09 UTC
Hi Yvan,

Since we have the principle: "one issue, one report" I'm going to ask you below to write two more. A clear issue helps to attract someone willing to implement :) And maybe one or more could be suggested as easy hack.

Anyway: thanks for your reply and explanation!
So:

(In reply to yvan.masson from comment #13)

> > Luckily, in LibreOffice 5.0.1 I do see an option: Tools > Options > Writer >
> > Formatting aids... Ignore protection. (I think this is new.)
> 
> Thanks for the tip ! This made our secretary screaming last year. I see at
> least two possible solutions to improve this:
>  - write this in the documentation in the section referring to labels.
>  - Ignore protection by default when working on labels (I might be wrong but
>   I do not see any reason to protect labels by default).

I would support the second option, maybe more specifically on merged labels.
And adding the info to Documentation is good too..
Could you please write issues for that?


> > > 3. Yes, you can do that, but I think it would be better to also include an
> > > "Add data source" button directly in the mail labels' first window. I
> > > suppose it would not be difficult to add, but it would be far more
> > > intuitive.
> > 
> > I don't understand this.
> > File > New > Label allows me to choose a data source.
> >
> File > New > Label opens a first window which allows to choose data source
> ONLY from databases which were previously added.

Ah yes. Sorry I missed that.
Can you please file an issue for that too?
Comment 15 Cor Nouws 2015-09-14 11:32:19 UTC
(In reply to yvan.masson from comment #13)

> > Apart from the challenges you, me and many others experience to fiend their
> > easiest way to perform mail merge tasks, which is reflected in your remarks
> > and our discussion, I do see one specific IMO new request in your report:
> > 
> > Extend the 'Synchronize' toolbar with two buttons: "Merging overview",
> > "Merge and save".
> > Is that fine for you? Then we could change the summary and settings of this
> > bug accordingly...
> 
> I agree. It would allow to simplify this enhancement request, and so

Done!

> to express something usable for someone to implement it: It is better to
> improve slowly than to do nothing.

Sure :)
Comment 16 yvan 2015-09-16 12:15:08 UTC
(In reply to Cor Nouws from comment #14)

Hi Cor,

> Hi Yvan,
> 
> Since we have the principle: "one issue, one report" I'm going to ask you
> below to write two more. A clear issue helps to attract someone willing to
> implement :) And maybe one or more could be suggested as easy hack.
> 
> Anyway: thanks for your reply and explanation!
> So:
> 
> (In reply to yvan.masson from comment #13)
> 
> > > Luckily, in LibreOffice 5.0.1 I do see an option: Tools > Options > Writer >
> > > Formatting aids... Ignore protection. (I think this is new.)
> > 
> > Thanks for the tip ! This made our secretary screaming last year. I see at
> > least two possible solutions to improve this:
> >  - write this in the documentation in the section referring to labels.
> >  - Ignore protection by default when working on labels (I might be wrong but
> >   I do not see any reason to protect labels by default).
> 
> I would support the second option, maybe more specifically on merged labels.
> And adding the info to Documentation is good too..
> Could you please write issues for that?
> 
Done here https://bugs.documentfoundation.org/show_bug.cgi?id=94270
> 
> > > > 3. Yes, you can do that, but I think it would be better to also include an
> > > > "Add data source" button directly in the mail labels' first window. I
> > > > suppose it would not be difficult to add, but it would be far more
> > > > intuitive.
> > > 
> > > I don't understand this.
> > > File > New > Label allows me to choose a data source.
> > >
> > File > New > Label opens a first window which allows to choose data source
> > ONLY from databases which were previously added.
> 
> Ah yes. Sorry I missed that.
> Can you please file an issue for that too?

Done in https://bugs.documentfoundation.org/show_bug.cgi?id=94273

Regards,
Yvan